#ifndef SORT_H
#define SORT_H

#include "common.h"
#include "grfile.h"

typedef BOOL (less_func) (void *p1, void *p2); // is (*p1) less then (*p2) ?
typedef void** ptr_array;

void quicksort(  ptr_array  ptrarr, less_func  less_fun,
			int l, int r);
// sorts pointers in   ptrarr (from l to r elements)

// sort palette according brightness
void sort_palette_bright( BGRpalette &pal, int colors);
#endif
